# pn_snmp_trap_sink – CLI command to create/delete snmp-trap-sink

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to create a SNMP trap sink and delete a SNMP trap sink.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_community string |  | community type.
pn_dest_host string |  | destination host.
pn_dest_port string | Default: "162" | destination port.

pn_type
string

Choices:
- TRAP_TYPE_V1_TRAP
- TRAP_TYPE_V2C_TRAP ←
- TRAP_TYPE_V2_INFORM

trap type.

state
string / required

Choices:
- present
- absent

State the action to perform. Use `present` to create snmp-trap-sink and `absent` to delete snmp-trap-sink.

## Examples

    - name: snmp trap sink functionality
      pn_snmp_trap_sink:
        pn_cliswitch: "sw01"
        state: "present"
        pn_community: "foo"
        pn_type: "TRAP_TYPE_V2_INFORM"
        pn_dest_host: "192.168.67.8"

    - name: snmp trap sink functionality
      pn_snmp_trap_sink:
        pn_cliswitch: "sw01"
        state: "absent"
        pn_community: "foo"
        pn_type: "TRAP_TYPE_V2_INFORM"
        pn_dest_host: "192.168.67.8"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the snmp-trap-sink command.
stdout list | always | set of responses from the snmp-trap-sink command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.